## openrc 0.23

=== Makefile ===
# Copyright (c) 2007-2015 The OpenRC Authors.
# See the Authors file at the top-level directory of this distribution and
# https://github.com/OpenRC/openrc/blob/master/AUTHORS
#
# This file is part of OpenRC. It is subject to the license terms in
# the LICENSE file found in the top-level directory of this
# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
# This file may not be copied, modified, propagated, or distributed
# except according to the terms contained in the LICENSE file.

TOP:=		${dir ${realpath ${firstword ${MAKEFILE_LIST}}}}
MK=			${TOP}/mk

include ${TOP}/Makefile.inc

SUBDIR=		conf.d etc init.d local.d man scripts sh src sysctl.d

# Build pkgconfig or not
MKPKGCONFIG?=	yes
ifeq (${MKPKGCONFIG},yes)
SUBDIR+=	pkgconfig
endif

# We need to ensure that runlevels is done last
SUBDIR+=	runlevels

INSTALLAFTER=	_installafter

include ${MK}/sys.mk
include ${MK}/os.mk
include ${MK}/subdir.mk
include ${MK}/dist.mk
include ${MK}/gitver.mk

_installafter:
ifeq (${MKPREFIX},yes)
	${INSTALL} -d ${DESTDIR}/${LIBEXECDIR}/init.d
else ifneq (${OS},Linux)
	${INSTALL} -d ${DESTDIR}/${LIBEXECDIR}/init.d
endif
	${INSTALL} -d ${DESTDIR}/${LIBEXECDIR}/tmp
	${ECHO} "${VERSION}${GITVER}" > ${DESTDIR}/${LIBEXECDIR}/version

=== conf.d/Makefile ===
include ../mk/net.mk

DIR=	${CONFDIR}
CONF=	bootmisc fsck hostname localmount netmount swap urandom ${CONF-${OS}}

ifeq (${MKNET},yes)
CONF+= network staticroute
endif

MK=	../mk
include ${MK}/os.mk

CONF-FreeBSD=	ipfw modules moused powerd rarpd savecore syscons

CONF-Linux=	consolefont devfs dmesg hwclock keymaps killprocs modules mtab \
	net-online

CONF-NetBSD=	moused rarpd savecore

include ${MK}/scripts.mk

=== init.d.misc/Makefile ===
DIR=	${INITDIR}
SRCS=	avahi-dnsconfd.in avahid.in dhcpcd.in dbus.in \
	hald.in named.in ntpd.in \
	openvpn.in polkitd.in sshd.in wpa_supplicant.in

MK=	../mk

SED_EXTRA+= -e 's:@VARBASE@:/var:g'

include ${MK}/os.mk
include ${MK}/scripts.mk

=== init.d/Makefile ===
include ../mk/net.mk

DIR=	${INITDIR}
SRCS=	bootmisc.in fsck.in hostname.in local.in localmount.in loopback.in \
	netmount.in osclock.in root.in savecache.in swap.in swclock.in \
	sysctl.in runsvdir.in urandom.in s6-svscan.in ${SRCS-${OS}}
BIN=	${OBJS}

# Are we installing our network scripts?
ifeq (${MKNET},yes)
SRCS+= network.in staticroute.in
endif

MK=	../mk
include ${MK}/os.mk

# Generic BSD scripts
SRCS-FreeBSD=	hostid.in modules.in moused.in newsyslog.in pf.in rarpd.in \
		rc-enabled.in rpcbind.in savecore.in syslogd.in
# These are FreeBSD specific
SRCS-FreeBSD+=	adjkerntz.in devd.in dumpon.in encswap.in ipfw.in \
		modules.in modules-load.in mixer.in nscd.in powerd.in syscons.in

SRCS-Linux=	binfmt.in devfs.in dmesg.in hwclock.in consolefont.in keymaps.in \
		killprocs.in modules.in modules-load.in mount-ro.in mtab.in numlock.in \
		procfs.in net-online.in sysfs.in termencoding.in

# Generic BSD scripts
SRCS-NetBSD=	hostid.in moused.in newsyslog.in pf.in rarpd.in rc-enabled.in \
		rpcbind.in savecore.in syslogd.in
# These are NetBSD specific
SRCS-NetBSD+=	devdb.in swap-blk.in ttys.in wscons.in

include ${MK}/scripts.mk

_installafter_: realinstall

=== man/Makefile ===
MK=		../mk
include ${MK}/sys.mk
include ${MK}/os.mk

MAN3=		einfo.3 \
		rc_config.3 rc_deptree.3 rc_find_pids.3 rc_plugin_hook.3 \
		rc_runlevel.3 rc_service.3 rc_stringlist.3
MAN8=		rc-service.8 rc-status.8 rc-update.8 openrc.8 openrc-run.8 \
		service.8 start-stop-daemon.8 supervise-daemon.8

ifeq (${OS},Linux)
MAN8 += rc-sstat.8
endif

# Handy macro to create symlinks
# This does rely on correctly formatting our manpages!
MAKE_LINKS=	suffix=$${man\#*.}; \
		prefix=$${man%%.*}; \
		for link in `sed -e 's/ ,//g' \
		-n -e '/^\.Sh NAME$$/,/\.Sh/ s/\.Nm //p' $${man}`; do \
		if test "$${link}" != "$${prefix}" ; then \
		ln -sf $${man} \
		${DESTDIR}/${MANDIR}/man$${suffix}/$${link}.$${suffix} ; \
		fi; \
		done;

include ${MK}/gitignore.mk

all:

install:
	${INSTALL} -d ${DESTDIR}/${MANDIR}/man3
	for man in ${MAN3}; do \
		${INSTALL} -m ${MANMODE} "$$man" ${DESTDIR}/${MANDIR}/man3 || exit $$?; \
		${MAKE_LINKS} \
	done
	${INSTALL} -d ${DESTDIR}/${MANDIR}/man8
	for man in ${MAN8}; do \
		${INSTALL} -m ${MANMODE} "$$man" ${DESTDIR}/${MANDIR}/man8 || exit $$?; \
		${MAKE_LINKS} \
	done

check test::

clean:

=== runlevels/Makefile ===
include ../mk/net.mk

BOOT=		bootmisc fsck hostname localmount loopback \
		root swap sysctl urandom ${BOOT-${OS}}
DEFAULT=	local netmount
NONETWORK=	local
SHUTDOWN=	savecache ${SHUTDOWN-${OS}}
SYSINIT=	${SYSINIT-${OS}}

LEVELDIR=	${DESTDIR}/${SYSCONFDIR}/runlevels
SYSINITDIR=	${LEVELDIR}/sysinit
BOOTDIR=	${LEVELDIR}/boot
DEFAULTDIR=	${LEVELDIR}/default
NONETWORKDIR=	${LEVELDIR}/nonetwork
SHUTDOWNDIR=	${LEVELDIR}/shutdown

ifeq (${MKNET},yes)
BOOT+= network staticroute
endif

INITFILES=	../init.d

MK=		../mk
include ${MK}/sys.mk
include ${MK}/os.mk
include ${MK}/gitignore.mk

BOOT-${OS}=
SHUTDOWN-${OS}=
SYSINIT-${OS}=

BOOT-BSD=	hostid newsyslog savecore syslogd swap-blk

# Generic BSD stuff
BOOT-FreeBSD+=	hostid modules newsyslog savecore syslogd
# FreeBSD specific stuff
BOOT-FreeBSD+=	adjkerntz dumpon syscons

BOOT-Linux+=	binfmt hwclock keymaps modules mtab procfs termencoding
SHUTDOWN-Linux=	killprocs mount-ro
SYSINIT-Linux=	devfs dmesg sysfs

# Generic BSD stuff
BOOT-NetBSD+=	hostid newsyslog savecore syslogd
# NetBSD specific stuff
BOOT-NetBSD+=	devdb swap-blk ttys wscons

all:

install:
	if ! test -d "${SYSINITDIR}"; then \
		${INSTALL} -d ${SYSINITDIR} || exit $$?; \
		for x in ${SYSINIT}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${SYSINITDIR}/"$$x" || exit $$?; done \
	fi
	if ! test -d "${BOOTDIR}"; then \
		${INSTALL} -d ${BOOTDIR} || exit $$?; \
		for x in ${BOOT}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${BOOTDIR}/"$$x" || exit $$?; \
		done \
	fi
	if ! test -d "${DEFAULTDIR}"; then \
		${INSTALL} -d ${DEFAULTDIR} || exit $$?; \
		for x in ${DEFAULT}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${DEFAULTDIR}/"$$x" || exit $$?; done \
	fi
	if ! test -d "${NONETWORKDIR}"; then \
		${INSTALL} -d ${NONETWORKDIR} || exit $$?; \
		for x in ${NONETWORK}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${NONETWORKDIR}/"$$x" || exit $$?; done \
	fi
	if ! test -d "${SHUTDOWNDIR}"; then \
		${INSTALL} -d ${SHUTDOWNDIR} || exit $$?; \
		for x in ${SHUTDOWN}; do \
			if test "${MKPREFIX}" = yes; then \
				grep -q "keyword .*-prefix" ${INITFILES}/"$$x" && continue; \
			fi; \
			ln -snf ${INITDIR}/"$$x" ${SHUTDOWNDIR}/"$$x" || exit $$?; done \
	fi

check test::

clean:

=== scripts/Makefile ===
MK=	../mk
include ${MK}/os.mk

DIR=	${LIBEXECDIR}/bin
BIN=	on_ac_power
INSTALLAFTER = _installafter

ifeq (${OS},Linux)
SRCS+= rc-sstat.in
BIN+=	rc-sstat
endif

_installafter:
ifeq (${OS},Linux)
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	ln -s ${DIR}/rc-sstat ${DESTDIR}/${SBINDIR}/rc-sstat
endif

include ${MK}/scripts.mk

=== sh/Makefile ===
DIR=	${LIBEXECDIR}/sh
SRCS=	init.sh.in functions.sh.in gendepends.sh.in \
	openrc-run.sh.in rc-functions.sh.in ${SRCS-${OS}}
INC=	rc-mount.sh functions.sh rc-functions.sh runit.sh s6.sh \
		start-stop-daemon.sh supervise-daemon.sh
BIN=	gendepends.sh init.sh openrc-run.sh ${BIN-${OS}}

INSTALLAFTER=	_installafter

MK=	../mk
include ${MK}/os.mk

SRCS-FreeBSD=
BIN-FreeBSD=

SRCS-Linux=	binfmt.sh.in cgroup-release-agent.sh.in init-early.sh.in \
	migrate-to-run.sh.in rc-cgroup.sh.in
BIN-Linux=	binfmt.sh cgroup-release-agent.sh init-early.sh migrate-to-run.sh \
	rc-cgroup.sh

SRCS-NetBSD=
BIN-NetBSD=

include ${MK}/scripts.mk

%.sh: %.sh${SFX}
	${SED} ${SED_REPLACE} ${SED_EXTRA} $< > $@

_installafter:
	${INSTALL} -d ${DESTDIR}/${INITDIR}
	@# Put functions.sh into init for backwards compat
	ln -snf ${LIBEXECDIR}/sh/functions.sh ${DESTDIR}/${INITDIR} || exit $$?

check test::
	./runtests.sh

=== src/Makefile ===
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

SUBDIR=		test libeinfo librc rc

ifeq (${MKTOOLS},yes)
SUBDIR+= tools
endif

MK=		../mk
include		${MK}/subdir.mk

=== src/rc/Makefile ===
SRCS=	checkpath.c do_e.c do_mark_service.c do_service.c \
		do_value.c fstabinfo.c is_newer_than.c is_older_than.c \
		mountinfo.c openrc-run.c rc-abort.c rc.c \
		rc-depend.c rc-logger.c rc-misc.c rc-plugin.c \
		rc-service.c rc-status.c rc-update.c \
		shell_var.c start-stop-daemon.c supervise-daemon.c swclock.c _usage.c

ifeq (${MKSELINUX},yes)
SRCS+=		rc-selinux.c
endif

CLEANFILES=	version.h rc-selinux.o

BINDIR=		${PREFIX}/bin
SBINDIR=	${PREFIX}/sbin
LINKDIR=	${LIBEXECDIR}

BINPROGS=	rc-status
SBINPROGS = openrc openrc-run rc rc-service rc-update runscript service \
			start-stop-daemon supervise-daemon
RC_BINPROGS=	einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
				eindent eoutdent esyslog eval_ecolors ewaitfile \
				veinfo vewarn vebegin veend vewend veindent veoutdent \
				checkpath fstabinfo mountinfo rc-depend \
				is_newer_than is_older_than \
				service_get_value service_set_value get_options save_options \
				service_starting service_started \
				service_stopping service_stopped \
				service_inactive service_wasinactive \
				service_hotplugged service_started_daemon service_crashed \
				shell_var
RC_SBINPROGS=	mark_service_starting mark_service_started \
		mark_service_stopping mark_service_stopped \
		mark_service_inactive mark_service_wasinactive \
		mark_service_hotplugged mark_service_failed \
		rc-abort swclock
ALL_PROGS=	${BINPROGS} ${SBINPROGS} ${RC_BINPROGS} ${RC_SBINPROGS}
CLEANFILES+=	${ALL_PROGS}

LOCAL_CPPFLAGS=-I../includes -I../librc -I../libeinfo
LOCAL_LDFLAGS=-L../librc -L../libeinfo
LDADD+=		-lutil -lrc -leinfo

include ../../Makefile.inc
MK=		../../mk
include ${MK}/prog.mk
include ${MK}/gitver.mk
include ${MK}/cc.mk

include ${MK}/termcap.mk
LDADD+=		${LIBDL} ${LIBKVM}
include ${MK}/pam.mk

${SRCS}: version.h

.PHONY:	version.h.tmp
version.h.tmp:
	echo "#define VERSION \"${VERSION}${GITVER}\"" >$@
	if test -n "${BRANDING}"; then \
		echo "#define BRANDING \"${BRANDING}\"" >> $@; \
	fi

version.h: version.h.tmp
	cmp -s $@.tmp $@ && rm $@.tmp || mv $@.tmp $@

install: all
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${SBINPROGS} ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${BINDIR}
	${INSTALL} -m ${BINMODE} ${BINPROGS} ${DESTDIR}${BINDIR}
	${INSTALL} -d ${DESTDIR}${LINKDIR}/bin
	${INSTALL} -m ${BINMODE} ${RC_BINPROGS} ${DESTDIR}${LINKDIR}/bin
	${INSTALL} -d ${DESTDIR}${LINKDIR}/sbin
	${INSTALL} -m ${BINMODE} ${RC_SBINPROGS} ${DESTDIR}${LINKDIR}/sbin
	if test "${MKPAM}" = pam; then \
		${INSTALL} -d ${DESTDIR}${PAMDIR}; \
		${INSTALL} -m ${PAMMODE} start-stop-daemon.pam ${DESTDIR}${PAMDIR}/start-stop-daemon; \
		${INSTALL} -m ${PAMMODE} supervise-daemon.pam ${DESTDIR}${PAMDIR}/supervise-daemon; \
	fi

check test::

all: ${ALL_PROGS}

checkpath: checkpath.o _usage.o rc-misc.o
ifeq (${MKSELINUX},yes)
checkpath: rc-selinux.o
endif
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
eindent eoutdent esyslog eval_ecolors ewaitfile \
veinfo vewarn vebegin veend vewend veindent veoutdent: do_e.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

fstabinfo: fstabinfo.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

is_newer_than: is_newer_than.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

is_older_than: is_older_than.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

mark_service_starting mark_service_started \
mark_service_stopping mark_service_stopped \
mark_service_inactive mark_service_wasinactive \
mark_service_hotplugged mark_service_failed: do_mark_service.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

mountinfo: mountinfo.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

openrc rc: rc.o rc-logger.o rc-misc.o rc-plugin.o _usage.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

openrc-run runscript: openrc-run.o _usage.o rc-misc.o rc-plugin.o
ifeq (${MKSELINUX},yes)
openrc-run runscript: rc-selinux.o
endif
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

rc-abort: rc-abort.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ -leinfo

rc-depend: rc-depend.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

rc-status: rc-status.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

rc-service service: rc-service.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

rc-update: rc-update.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

start-stop-daemon: start-stop-daemon.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

supervise-daemon: supervise-daemon.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

service_get_value service_set_value get_options save_options: do_value.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

service_starting service_started \
service_stopping service_stopped \
service_inactive service_wasinactive \
service_hotplugged service_started_daemon \
service_crashed: do_service.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

shell_var: shell_var.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^

swclock: swclock.o _usage.o rc-misc.o
	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}

=== src/tools/Makefile ===
DIR=	${UPREFIX}/bin
BIN=	deptree2dot

MK=	../../mk
include ${MK}/scripts.mk

=== debian/changelog ===
openrc (0.23-1) unstable; urgency=medium

  * New upstream release.
  * Read /proc/mounts in mountinfo. (Bug #847281)

 -- Benda Xu <heroxbd@gentoo.org>  Thu, 05 Jan 2017 01:15:03 +0900

openrc (0.22-1) unstable; urgency=medium

  * New upstream release.
  * Manage reboot/halt by /etc/init.d/rc. (Closes: #844685)

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 05 Dec 2016 13:21:17 +0900

openrc (0.21-4) unstable; urgency=medium

  [ Svante Signell ]
  * Fix upgrade from jessie to stretch by adding openrc.preinst
    and modifying openrc.postinst for conffile transit (Closes: #840073)
  * Revert fix for #834014

  [ Adam Borowski ]
  * Add myself to Uploaders.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 15 Nov 2016 01:35:20 +0100

openrc (0.21-3) unstable; urgency=medium

  [ Marvin Kohl ]
  * Fix "fails to install: rc-update: service `transit' does not exist"
    Exclude transit when removing gentoo init files. (Closes: #834014)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Sep 2016 02:11:37 +0200

openrc (0.21-2) unstable; urgency=medium

  * Move Recommends init-system-helpers to Pre-Depend (Closes: 829488).
  * Drop Provides sysv-rc.
  * Install transit into /etc/init.d directly.

 -- Benda Xu <heroxbd@gentoo.org>  Wed, 27 Jul 2016 16:04:40 +0900

openrc (0.21-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * Removed nested functions from lsb2rcconf:main.c

  [ Benda Xu ]
  * New upstream release
  * Bump standard to 3.9.8
  * Switch from dbg to dbgsym packages.

 -- Benda Xu <heroxbd@gentoo.org>  Thu, 23 Jun 2016 10:30:43 +0900

openrc (0.20.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove diversions to update-rc.d + invoke-rc.d (Closes: #817006).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Mar 2016 05:17:44 +0100

openrc (0.20.4-2) unstable; urgency=high

  * Bump standard to 3.9.7.
  * Exclude /etc/init.d/*.dpkg*.
  * This version of OpenRC issues a warning if boot facility duplication
    is found (Closes: #738628).
  * Pass tests on ppc64el and mips64el.
  * update-rc.d + invoke-rc.d are found in init-system-helpers 1.29.
    Recommends init-system-helpers 1.29.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 05 Mar 2016 01:51:21 +0900

openrc (0.20.4-1) unstable; urgency=high

  [ Benda Xu ]
  * New upstream release.
    Refresh and remove upstreamed GNU/Hurd patches.
  * Removed nested functions in the previous release (Closes: #758564).
  * Enable SELinux, audit and PAM supports on Linux (Closes: #773287).
    Credits Laurent Bigonville.

  [ Svante Signell ]
  * Update openrc.postrm and create openrc.preinst to divert
    update-rc.d + invoke-rc.d files to cooperate with
    init-system-helpers >=1.25. (Closes: #811708)

 -- Benda Xu <heroxbd@gentoo.org>  Tue, 23 Feb 2016 21:56:27 +0900

openrc (0.18.3-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * Remove nested functions (Closes: #765070),
    merge GNU-kFreeBSD_workaround-nxstack.patch.
  * Rename static functions "rc_*" to be without "rc_" to pass "make test"
    (Closes: #763681, #770459)

  [ Benda Xu ]
  * New upstream release. (Closes: #796287, #766151)
    - Rename REAMDME to README.md.
    - Remove upstreamed patches relating to GNU/Hurd and GNU/kFreeBSD.
  * Document how to disable 20-left-info-blocks and remove experimental
    claim. (Closes: #771834)
  * Revise the package descriptions. (Closes: #740611)
  * Cope with shebang correctly. (Closes: #766153, #766151)
  * Remove /etc/init.d/transit in postrm purge. (Closes: #740469)
  * Reuse the _all mechanism that works well on Hurd now. (Closes: #739703)
  * Bump to standards version 3.9.6.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 07 Nov 2015 13:44:58 +0900

=== debian/control ===
Source: openrc
Section: admin
Priority: extra
Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
Uploaders: Roger Leigh <rleigh@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Benda Xu <heroxbd@gentoo.org>,
           Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 9),
               libaudit-dev [linux-any],
               libpam0g-dev [linux-any],
               libselinux1-dev [linux-any]
Standards-Version: 3.9.8
Homepage: https://github.com/openrc/openrc
Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
Vcs-Browser: http://anonscm.debian.org/cgit/openrc/openrc.git

Package: openrc
Architecture: any
Conflicts: file-rc, sysv-rc
Replaces: sysv-rc
Pre-Depends: init-system-helpers (>=1.29)
Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
Suggests: sysvinit-core, policycoreutils [linux-any]
Description: dependency based service manager (runlevel change mechanism)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runlevel change mechanism.

Package: librc1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based service manager (runtime library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runtime library.

Package: librc-dev
Architecture: any
Section: libdevel
Depends: librc1 (=${binary:Version}), ${misc:Depends}
Description: dependency based service manager (runtime development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides development files for the runtime library.

Package: libeinfo1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based service manager (pretty console display library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo-dev
Architecture: any
Section: libdevel
Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}
Description: dependency based service manager (pretty console display development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a development library that supports displaying messages
 on the console.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEBVERS		?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION		?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBFLAVOR	?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
DEBPKGNAME	?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
DEBIAN_BRANCH	?= $(shell cat debian/gbp.conf | grep debian-branch | cut -d'=' -f2 | awk '{print $1}')
GIT_TAG		?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in))

export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
export SHLIBDIR = /lib/$(DEB_HOST_MULTIARCH)
export LIBNAME = lib
export LIBEXECDIR = /lib/rc

ifeq (linux,$(DEB_HOST_ARCH_OS))
export MKAUDIT = yes
export MKPAM = pam
export MKSELINUX = yes
endif

%:
	dh $@

%.install: %.install.in
	sed -e 's;@SHLIBDIR@;$(SHLIBDIR);g' -e 's;@LIBDIR@;$(LIBDIR);g' <$< >$@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(DH_INSTALL_FILES)
	rm -f src/test/librc.funcs.hidden.list

install-arch: build-arch $(DH_INSTALL_FILES)
	dh $@ $(DH_OPTIONS)

install-indep: build-indep $(DH_INSTALL_FILES)
	dh $@ $(DH_OPTIONS)

override_dh_installmenu:
	# These are symlinks for compatibility reasons, and we don't want
	# them in Debian.
	for file in start-stop-daemon runscript rc service ; do \
		rm -f $(CURDIR)/debian/openrc/sbin/$${file} ; \
	done

	# As openrc start-stop-daemon executable is removed above, we don't
	# need to install that pam service.
	rm -rf $(CURDIR)/debian/openrc/etc/pam.d/

	# These need to be removed, the same way as other stuff above
	for file in service.8 service.8.gz start-stop-daemon.8 start-stop-daemon.8.gz ; do \
		rm -f $(CURDIR)/debian/openrc/usr/share/man/man8/$${file} ; \
	done

	# These are Gentoo specific stuff, we don't want them
	set -e && for i in sysctl.d local.d conf.d ; do \
		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
	done

	# We don't want the Gentoo init scripts, but only want savecache to stay
	find $(CURDIR)/debian/openrc/etc/init.d/* -name savecache -or -name rc -or -name rcS -prune -o -exec rm -f {} +

	for dir in boot default sysinit shutdown; do \
		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \
	done

get-upstream-sources:
	# There's also a mirror at: git://git.overlays.gentoo.org/proj/openrc.git
	git remote add upstream git://github.com/OpenRC/openrc.git || true
	git fetch upstream
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout $(DEBIAN_BRANCH)

make-orig-file:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(GIT_TAG)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
	fi
	[ ! -e ../build-area ] && mkdir ../build-area || true
	[ ! -e ../build-area/$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] && cp ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ../build-area || true

.PHONY: override_dh_auto_clean install-arch install-indep get-upstream-sources make-orig-file

## openrc 0.40.3

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,24 @@
 
 include ${TOP}/Makefile.inc
 
-SUBDIR=		conf.d etc init.d local.d man scripts sh src sysctl.d
+SUBDIR=		conf.d etc init.d local.d man scripts sh src support sysctl.d
+
+# Build bash completion or not
+MKBASHCOMP?=	no
+ifeq (${MKBASHCOMP},yes)
+SUBDIR+=	bash-completion
+endif
 
 # Build pkgconfig or not
 MKPKGCONFIG?=	yes
 ifeq (${MKPKGCONFIG},yes)
 SUBDIR+=	pkgconfig
+endif
+
+# Build zsh completion or not
+MKZSHCOMP?=	no
+ifeq (${MKZSHCOMP},yes)
+SUBDIR+=	zsh-completion
 endif
 
 # We need to ensure that runlevels is done last

=== pkgconfig/Makefile ===
DIR=	${LIBDIR}/pkgconfig
SRCS=	einfo.pc.in openrc.pc.in
INC=	einfo.pc openrc.pc

.DEFAULT:
	${SED} -n -e 's/^VERSION=[[:space:]]*\([^[:space:]]*\).*/#define VERSION "\1${GITVER}\"/p' ../../Makefile > version.h

SED_EXTRA=	-e 's:@VERSION@:${VERSION}:g'

MK=	../mk
include ../Makefile.inc
include ${MK}/scripts.mk

=== runlevels/Makefile ===
--- 
+++ 
@@ -36,9 +36,10 @@
 # FreeBSD specific stuff
 BOOT-FreeBSD+=	adjkerntz dumpon syscons
 
-BOOT-Linux+=	binfmt hwclock keymaps modules mtab procfs termencoding
+BOOT-Linux+=	binfmt hwclock keymaps modules mtab procfs save-keymaps \
+	save-termencoding termencoding
 SHUTDOWN-Linux=	killprocs mount-ro
-SYSINIT-Linux=	devfs dmesg sysfs
+SYSINIT-Linux=	devfs cgroups dmesg sysfs
 
 # Generic BSD stuff
 BOOT-NetBSD+=	hostid newsyslog savecore syslogd

=== sh/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 DIR=	${LIBEXECDIR}/sh
 SRCS=	init.sh.in functions.sh.in gendepends.sh.in \
-	openrc-run.sh.in rc-functions.sh.in ${SRCS-${OS}}
+	openrc-run.sh.in ${SRCS-${OS}}
 INC=	rc-mount.sh functions.sh rc-functions.sh runit.sh s6.sh \
 		start-stop-daemon.sh supervise-daemon.sh
 BIN=	gendepends.sh init.sh openrc-run.sh ${BIN-${OS}}

=== src/Makefile ===
--- 
+++ 
@@ -3,9 +3,5 @@
 
 SUBDIR=		test libeinfo librc rc
 
-ifeq (${MKTOOLS},yes)
-SUBDIR+= tools
-endif
-
 MK=		../mk
 include		${MK}/subdir.mk

=== sysctl.d/Makefile ===
DIR=	${SYSCTLDIR}
CONF=	README

MK=		../mk
include ${MK}/os.mk
include ${MK}/scripts.mk

=== src/rc/Makefile ===
--- 
+++ 
@@ -1,12 +1,20 @@
+include ../../Makefile.inc
+MK=		../../mk
+include ${MK}/os.mk
+
 SRCS=	checkpath.c do_e.c do_mark_service.c do_service.c \
 		do_value.c fstabinfo.c is_newer_than.c is_older_than.c \
 		mountinfo.c openrc-run.c rc-abort.c rc.c \
-		rc-depend.c rc-logger.c rc-misc.c rc-plugin.c \
-		rc-service.c rc-status.c rc-update.c \
+		rc-depend.c rc-logger.c rc-misc.c rc-pipes.c \
+		rc-plugin.c rc-service.c rc-status.c rc-update.c \
 		shell_var.c start-stop-daemon.c supervise-daemon.c swclock.c _usage.c
 
 ifeq (${MKSELINUX},yes)
 SRCS+=		rc-selinux.c
+endif
+
+ifeq (${OS},Linux)
+SRCS+=		kill_all.c openrc-init.c openrc-shutdown.c broadcast.c rc-wtmp.c
 endif
 
 CLEANFILES=	version.h rc-selinux.o
@@ -16,7 +24,7 @@
 LINKDIR=	${LIBEXECDIR}
 
 BINPROGS=	rc-status
-SBINPROGS = openrc openrc-run rc rc-service rc-update runscript service \
+SBINPROGS = openrc openrc-run rc rc-service rc-update runscript \
 			start-stop-daemon supervise-daemon
 RC_BINPROGS=	einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
 				eindent eoutdent esyslog eval_ecolors ewaitfile \
@@ -33,7 +41,14 @@
 		mark_service_stopping mark_service_stopped \
 		mark_service_inactive mark_service_wasinactive \
 		mark_service_hotplugged mark_service_failed \
+		mark_service_crashed \
 		rc-abort swclock
+
+ifeq (${OS},Linux)
+RC_BINPROGS+= kill_all
+SBINPROGS+= openrc-init openrc-shutdown
+endif
+
 ALL_PROGS=	${BINPROGS} ${SBINPROGS} ${RC_BINPROGS} ${RC_SBINPROGS}
 CLEANFILES+=	${ALL_PROGS}
 
@@ -41,8 +56,6 @@
 LOCAL_LDFLAGS=-L../librc -L../libeinfo
 LDADD+=		-lutil -lrc -leinfo
 
-include ../../Makefile.inc
-MK=		../../mk
 include ${MK}/prog.mk
 include ${MK}/gitver.mk
 include ${MK}/cc.mk
@@ -88,12 +101,18 @@
 endif
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
+kill_all: kill_all.o _usage.o
+	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
+
 einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
 eindent eoutdent esyslog eval_ecolors ewaitfile \
 veinfo vewarn vebegin veend vewend veindent veoutdent: do_e.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 fstabinfo: fstabinfo.o _usage.o rc-misc.o
+	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
+
+openrc-init: openrc-init.o rc-wtmp.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 is_newer_than: is_newer_than.o rc-misc.o
@@ -105,13 +124,17 @@
 mark_service_starting mark_service_started \
 mark_service_stopping mark_service_stopped \
 mark_service_inactive mark_service_wasinactive \
-mark_service_hotplugged mark_service_failed: do_mark_service.o rc-misc.o
+mark_service_hotplugged mark_service_failed \
+mark_service_crashed: do_mark_service.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 mountinfo: mountinfo.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 openrc rc: rc.o rc-logger.o rc-misc.o rc-plugin.o _usage.o
+	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
+
+openrc-shutdown: openrc-shutdown.o rc-misc.o _usage.o broadcast.o rc-wtmp.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 openrc-run runscript: openrc-run.o _usage.o rc-misc.o rc-plugin.o
@@ -129,16 +152,16 @@
 rc-status: rc-status.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
-rc-service service: rc-service.o _usage.o rc-misc.o
+rc-service: rc-service.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 rc-update: rc-update.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
-start-stop-daemon: start-stop-daemon.o _usage.o rc-misc.o
+start-stop-daemon: start-stop-daemon.o _usage.o rc-misc.o rc-pipes.o rc-schedules.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
-supervise-daemon: supervise-daemon.o _usage.o rc-misc.o
+supervise-daemon: supervise-daemon.o _usage.o rc-misc.o rc-plugin.o rc-schedules.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 service_get_value service_set_value get_options save_options: do_value.o rc-misc.o

=== support/sysvinit/Makefile ===
MK=	../../mk
include ${MK}/os.mk

DIR=	${DATADIR}/support/sysvinit
INC=	inittab README.md


include ${MK}/scripts.mk

=== debian/changelog ===
openrc (0.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix ELF hardening.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Feb 2019 15:41:07 +0000

openrc (0.39-1) unstable; urgency=medium

  * New upstream release. (Closes: 911946).
  * Introduce Mo Zhou to the maintainer team.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 27 Oct 2018 11:57:22 +0800

openrc (0.38-2) unstable; urgency=medium

  [ Benda Xu ]
  * Upload a new version to recover Version 0.34-3.
    It was my mistake by not basing the new upstream release 0.38-1 on
    the latest maintenance repository.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 22 Oct 2018 08:29:17 +0800

openrc (0.38-1) unstable; urgency=medium

  * New upstream release.
  * Rebase, merge and drop patches.

 -- Benda Xu <heroxbd@gentoo.org>  Sun, 21 Oct 2018 18:40:30 +0800

openrc (0.34-3) unstable; urgency=medium

  * Switch maintainer address to something that doesn't bounce.
    (Closes: #899777)
  * Use dh compat 11.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 May 2018 13:28:14 +0200

openrc (0.34-2) unstable; urgency=medium

  [ Benda Xu ]
  * Set priority to optional as per standard recommendation.
  * Move libeinfo and librc to the "libs" section.
  * Update git fields to salsa.d.o pages.

  [ Svante Signell ]
  * Fix FTBFS on hurd. (Closes: #891530)

  [ Adam Borowski ]
  * Add bogus LSB headers to savecache to silence an insserv warning.
  * Don't use -march=native.
  * Fix FTBFS on riscv64.
  * Put the global wildcard first in debian/copyright.
  * Switch Vcs to unauthenticated.
  * Set libraries as M-A: same, main package as M-A: foreign.
  * Rules-Requires-Root: no.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 10 Apr 2018 00:24:56 +0200

openrc (0.34-1) unstable; urgency=medium

  * New upstream release.
  * Scan /etc/insserv.conf.d directory. (Bug #874790)
  * Merge 0.27-2 update into the main patch. Force _GNU_SOURCES.
  * Remove Roger Leigh from the Uploaders. Thank you Roger for the
    groundbreaking work. (Bug #869347)
  * Save deptree on shutdown. Revert upstream commit b02ff466fa75.
  * Bump standard to 4.1.3.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 17 Feb 2018 19:11:06 +0900

openrc (0.27-3) unstable; urgency=medium

  * Fix FTBFS on ppc64el with current binutils.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 25 Nov 2017 06:47:30 +0100

openrc (0.27-2) unstable; urgency=critical

  * Fix segfault with glibc 2.25 in librc; this made systems using openrc
    effectively unbootable.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 19 Nov 2017 04:38:32 +0100

openrc (0.27-1) unstable; urgency=medium

  * New upstream release.
  * Drop /proc/mounts patch: accepted upstream.
  * Ship more documentation.
  * Bump standard to 4.0.0.

 -- Benda Xu <heroxbd@gentoo.org>  Tue, 04 Jul 2017 22:47:13 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: openrc
 Section: admin
-Priority: extra
-Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
-Uploaders: Roger Leigh <rleigh@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
+Priority: optional
+Maintainer: OpenRC Debian Maintainers <openrc@packages.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
            Benda Xu <heroxbd@gentoo.org>,
-           Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 9),
+           Adam Borowski <kilobyte@angband.pl>,
+           Mo Zhou <cdluminate@gmail.com>
+Build-Depends: debhelper (>= 11),
                libaudit-dev [linux-any],
                libpam0g-dev [linux-any],
                libselinux1-dev [linux-any]
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 Homepage: https://github.com/openrc/openrc
-Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/openrc/openrc.git
+Vcs-Git: https://salsa.debian.org/debian/openrc.git
+Vcs-Browser: https://salsa.debian.org/debian/openrc
 
 Package: openrc
 Architecture: any
@@ -22,6 +23,7 @@
 Pre-Depends: init-system-helpers (>=1.29)
 Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
 Suggests: sysvinit-core, policycoreutils [linux-any]
+Multi-Arch: foreign
 Description: dependency based service manager (runlevel change mechanism)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -37,7 +39,9 @@
 
 Package: librc1
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: dependency based service manager (runtime library)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -55,6 +59,7 @@
 Architecture: any
 Section: libdevel
 Depends: librc1 (=${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: dependency based service manager (runtime development)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -70,7 +75,9 @@
 
 Package: libeinfo1
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: dependency based service manager (pretty console display library)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -89,6 +96,7 @@
 Architecture: any
 Section: libdevel
 Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: dependency based service manager (pretty console display development)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
-
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEBVERS		?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 VERSION		?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')

## openrc 0.42

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,9 @@
 SUBDIR+=	zsh-completion
 endif
 
-# We need to ensure that runlevels is done last
+# We need to ensure that runlevels is done last other than test
 SUBDIR+=	runlevels
+SUBDIR+=	test
 
 INSTALLAFTER=	_installafter

=== bash-completion/Makefile ===
DIR=	${BASHCOMPDIR}
CONF=	openrc \
		openrc-service-script \
		rc-service \
		rc-status \
		rc-update \

MK=	../mk
include ${MK}/os.mk

include ${MK}/scripts.mk

=== conf.d/Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 CONF-FreeBSD=	ipfw modules moused powerd rarpd savecore syscons
 
-CONF-Linux=	consolefont devfs dmesg hwclock keymaps killprocs modules mtab \
-	net-online
+CONF-Linux=	agetty consolefont devfs dmesg hwclock keymaps killprocs modules \
+	mtab net-online
 
 CONF-NetBSD=	moused rarpd savecore

=== etc/Makefile ===
DIR=	${SYSCONFDIR}
SRCS=	rc.in rc.shutdown.in
BIN=	${BIN-${OS}}
CONF=	rc.conf ${BIN-${OS}}

MK=	../mk
include ${MK}/os.mk

SED_EXTRA-FreeBSD=	-e 's:@TERM@:cons25:g'
BIN-FreeBSD=		rc rc.shutdown rc.devd
CONF-FreeBSD=		devd.conf

SED_EXTRA-Linux=	-e 's:@TERM@:wsvt25:g'
BIN-Linux=
CONF-Linux=

SED_EXTRA-NetBSD=	-e 's:@TERM@:wsvt25:g'
BIN-NetBSD=		rc rc.shutdown
CONF-NetBSD=

SED_EXTRA=	${SED_EXTRA-${OS}}

include ${MK}/scripts.mk

=== init.d/Makefile ===
--- 
+++ 
@@ -19,11 +19,12 @@
 		rc-enabled.in rpcbind.in savecore.in syslogd.in
 # These are FreeBSD specific
 SRCS-FreeBSD+=	adjkerntz.in devd.in dumpon.in encswap.in ipfw.in \
-		modules.in modules-load.in mixer.in nscd.in powerd.in syscons.in
+		mixer.in nscd.in powerd.in syscons.in
 
-SRCS-Linux=	binfmt.in devfs.in dmesg.in hwclock.in consolefont.in keymaps.in \
-		killprocs.in modules.in modules-load.in mount-ro.in mtab.in numlock.in \
-		procfs.in net-online.in sysfs.in termencoding.in
+SRCS-Linux=	agetty.in binfmt.in devfs.in cgroups.in dmesg.in hwclock.in \
+	consolefont.in keymaps.in killprocs.in modules.in \
+	mount-ro.in mtab.in numlock.in procfs.in net-online.in save-keymaps.in \
+	save-termencoding.in sysfs.in termencoding.in
 
 # Generic BSD scripts
 SRCS-NetBSD=	hostid.in moused.in newsyslog.in pf.in rarpd.in rc-enabled.in \

=== local.d/Makefile ===
DIR=	${LOCALDIR}
CONF=	README

MK=		../mk
include ${MK}/os.mk
include ${MK}/scripts.mk

=== man/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 		rc_config.3 rc_deptree.3 rc_find_pids.3 rc_plugin_hook.3 \
 		rc_runlevel.3 rc_service.3 rc_stringlist.3
 MAN8=		rc-service.8 rc-status.8 rc-update.8 openrc.8 openrc-run.8 \
-		service.8 start-stop-daemon.8 supervise-daemon.8
+		start-stop-daemon.8 supervise-daemon.8
 
 ifeq (${OS},Linux)
-MAN8 += rc-sstat.8
+MAN8 += rc-sstat.8 openrc-init.8 openrc-shutdown.8
 endif
 
 # Handy macro to create symlinks

=== runlevels/Makefile ===
--- 
+++ 
@@ -90,6 +90,12 @@
 			fi; \
 			ln -snf ${INITDIR}/"$$x" ${SHUTDOWNDIR}/"$$x" || exit $$?; done \
 	fi
+	if test "${MKSYSVINIT}" = yes && test "${OS}" = Linux; then \
+		for x in tty1 tty2 tty3 tty4 tty5 tty6; do \
+			ln -snf ${INITDIR}/agetty ${DESTDIR}/${INITDIR}/"agetty.$$x" || exit $$?; \
+			ln -snf ${INITDIR}/agetty.$$x ${DEFAULTDIR}/"agetty.$$x" || exit $$?; \
+		done; \
+	fi
 
 check test::

=== scripts/Makefile ===
MK=	../mk
include ${MK}/os.mk

DIR=	${LIBEXECDIR}/bin
BIN=	on_ac_power
INSTALLAFTER = _installafter

ifeq (${OS},Linux)
SRCS+= rc-sstat.in
BIN+=	rc-sstat
ifeq (${MKSYSVINIT},yes)
SRCS+= halt.in poweroff.in reboot.in shutdown.in
BIN+=	halt poweroff reboot shutdown
	endif
endif

_installafter:
ifeq (${OS},Linux)
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	ln -sf ${DIR}/rc-sstat ${DESTDIR}/${SBINDIR}/rc-sstat
ifeq (${MKSYSVINIT},yes)
	ln -sf	${DIR}/halt ${DESTDIR}/${SBINDIR}/halt
	ln -sf	${DIR}/poweroff ${DESTDIR}/${SBINDIR}/poweroff
	ln -sf	${DIR}/reboot ${DESTDIR}/${SBINDIR}/reboot
	ln -sf	${DIR}/shutdown ${DESTDIR}/${SBINDIR}/shutdown
	ln -sf	openrc-init ${DESTDIR}/${SBINDIR}/init
endif
endif

include ${MK}/scripts.mk

=== sh/Makefile ===
DIR=	${LIBEXECDIR}/sh
SRCS=	init.sh.in functions.sh.in gendepends.sh.in \
	openrc-run.sh.in ${SRCS-${OS}}
INC=	rc-mount.sh functions.sh rc-functions.sh runit.sh s6.sh \
		start-stop-daemon.sh supervise-daemon.sh ${INC-${OS}}
BIN=	gendepends.sh init.sh openrc-run.sh ${BIN-${OS}}

INSTALLAFTER=	_installafter

MK=	../mk
include ${MK}/os.mk

SRCS-FreeBSD=
BIN-FreeBSD=

SRCS-Linux=	binfmt.sh.in cgroup-release-agent.sh.in init-early.sh.in
BIN-Linux=	binfmt.sh cgroup-release-agent.sh init-early.sh
INC-Linux= rc-cgroup.sh

SRCS-NetBSD=
BIN-NetBSD=

include ${MK}/scripts.mk

%.sh: %.sh${SFX}
	${SED} ${SED_REPLACE} ${SED_EXTRA} $< > $@

_installafter:
	${INSTALL} -d ${DESTDIR}/${INITDIR}
	@# Put functions.sh into init for backwards compat
	ln -snf ${LIBEXECDIR}/sh/functions.sh ${DESTDIR}/${INITDIR} || exit $$?

check test::

=== src/Makefile ===
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

SUBDIR=		libeinfo librc rc

MK=		../mk
include		${MK}/subdir.mk

=== support/Makefile ===
# Copyright (c) 2017 the OpenRC Authors.
# See the Authors file at the top-level directory of this distribution and
# https://github.com/OpenRC/openrc/blob/master/AUTHORS
#
# This file is part of OpenRC. It is subject to the license terms in
# the LICENSE file found in the top-level directory of this
# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
# This file may not be copied, modified, propagated, or distributed
# except according to the terms contained in the LICENSE file.

MK=		../mk
include		${MK}/os.mk

SUBDIR=		deptree2dot init.d.examples openvpn

ifeq (${OS},Linux)
SUBDIR+=	sysvinit
endif

include		${MK}/subdir.mk

=== debian/changelog ===
openrc (0.42-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make -dev package symlinks in /usr/lib target shared libraries in
    /lib.  (Closes: #985509).

 -- Mark Hindley <leepen@debian.org>  Fri, 02 Apr 2021 11:16:00 +0100

openrc (0.42-2) unstable; urgency=medium

  * Team upload.
  * Grab a fix for FTBFS on gcc-10 from upstream. (Closes: #957642)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 27 Nov 2020 09:48:35 +0100

openrc (0.42-1) unstable; urgency=medium

  * New upstream release, drop ppc64/riscv patches. (Closes: #958820)
  * Keep cgroups script and rewrite rules in regex. (Closes: #960183)
  * Add lintian overrides for openrc specific scripts.
  * Move .so symlinks to /usr/lib.

 -- Benda Xu <heroxbd@gentoo.org>  Fri, 15 May 2020 15:01:39 +0800

openrc (0.40.3-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Defer stripping to dh_strip. (Closes: #956715)

  [ Adam Borowski ]
  * Drop myself from uploaders.
  * Drop Pre-Dep on pre-Stretch init-system-helpers.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 14 Apr 2020 18:17:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,13 @@
 DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in))
+DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in) $(wildcard debian/*.links.in))
 
 export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
 export SHLIBDIR = /lib/$(DEB_HOST_MULTIARCH)
 export LIBNAME = lib
 export LIBEXECDIR = /lib/rc
+export STRIP_BINARY = no
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 export MKAUDIT = yes
@@ -32,6 +33,9 @@
 	dh $@
 
 %.install: %.install.in
+	sed -e 's;@SHLIBDIR@;$(SHLIBDIR);g' -e 's;@LIBDIR@;$(LIBDIR);g' <$< >$@
+
+%.links: %.links.in
 	sed -e 's;@SHLIBDIR@;$(SHLIBDIR);g' -e 's;@LIBDIR@;$(LIBDIR);g' <$< >$@
 
 override_dh_auto_clean:
@@ -66,8 +70,9 @@
 		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
 	done
 
-	# We don't want the Gentoo init scripts, but only want savecache to stay
-	find $(CURDIR)/debian/openrc/etc/init.d/* -name savecache -or -name rc -or -name rcS -prune -o -exec rm -f {} +
+	# We don't want the Gentoo init scripts, but only want savecache and cgroups to stay #960183
+	find $(CURDIR)/debian/openrc/etc/init.d/* \
+		\! -type d \! -regex ".*/\(savecache\|cgroups\|rcS?\)" -delete
 
 	for dir in boot default sysinit shutdown; do \
 		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \

=== debian/watch ===
version=3
https://github.com/OpenRC/openrc/tags /OpenRC/openrc/archive/(\d[\.\d]+)\.tar\.gz
